local _, ns = ...


local L = setmetatable({}, {
    __index = function(t, k)
        local v = tostring(k)
        rawset(t, k, v)
        return v
    end
})

local locale = GetLocale()

--[[
L = {
    [" Rearrange"] = " Rearrange",
    ["%s - cur_index: %d, next_index: %d"] = "%s - cur_index: %d, next_index: %d",
    ["%s is now watching %s"] = "%s is now watching %s",
    ["%s no longer watching %s"] = "%s no longer watching %s",
    ["Advancing rotation for %s"] = "Advancing rotation for %s",
    ["Announce"] = "Announce",
    ["Announcing '%s' to %s"] = "Announcing '%s' to %s",
    ["Closing display %s"] = "Closing display %s",
    ["Enabling rotation for %s: %s"] = "Enabling rotation for %s: %s"
    ["Interrupt order"] = "Interrupt order"
    ["Interrupt used by %s"] = "Interrupt used by %s",
    ["Interrupters"] = "Interrupters",
    ["Locked"] = "Locked",
    ["Locking display %s"] = "Locking display %s",
    ["Next interrupt is %s"] = "Next interrupt is %s",
    ["Options"] = "Options",
    ["READY"] = "READY",
    ["Refilling display %s"] = "Refilling display %s",
    ["Rotation"] = "Rotation",
    ["Share"] = "Share",
    ["Sharing order for %s"] = "Sharing order for %s",
    ["Switching %s to display %s"] = "Switching %s to display %s",
    ["Unlocking display %s"] = "Unlocking display %s",
    ["You already have an interrupt list named %s"] = "You already have an interrupt list named %s",
    ["removing interrupter - frame: %s, name: %s"] = "removing interrupter - frame: %s, name: %s",
    ["OakInterruptsDisplay"] = "OakInterruptsDisplay"
}
]]

if locale == "deDE" then
    L["Announce"] = "Mitteilen"
L["Interrupters"] = "Unterbrecher"
L["Interrupt order"] = "Unterbrechungsreihenfolge"
L["Interrupt used by %s"] = "%s hat unterbrochen"
L["Locked"] = "Fixiert"
L["Options"] = "Optionen"
L["READY"] = "BEREIT"
L["Rotation"] = "Rotation"
L["Share"] = "Teilen"
L["You already have an interrupt list named %s"] = "Du hast bereits eine Unterbrechungsliste mit dem Namen %s"

elseif locale == "frFR" then
    
elseif locale == "esES" then
    
elseif locale == "ptBR" then
    
elseif locale == "ruRU" then
    
elseif locale == "koKR" then
    
elseif locale == "zhCN" then
    
elseif locale == "zhTW" then
    
end

--------------------------------------------------------------------------------
ns.L = L
